using UnityEngine;
using System.Collections;

public enum BUILDING_TYPE
{
    FARM,
    HOUSE,
    SHOP,
    ALTAR,
    DESTROYED
};

public class Building : MonoBehaviour {

    //NOTE(aidan): 0 - in construction, 1 - 3 better versions
    public int level;
    public int upgrade_cost;
    public Job related_job;
    public Building next_level;

    public BUILDING_TYPE type;

    void Start()
    {
        TownManager.tm.buildings.Add(this);
    }

    void OnDestroy()
    {
        TownManager.tm.buildings.Remove(this);
    }



}
